<?php

if ( post_password_required() ) {
	printf( '<p class="nocomments">%s</p>', __( 'Kommentare werden erst angezeigt, wenn das Kennwort eingegeben wurde.', 'buena-theme' ) );
	return;
}

// FIXME: Hier sollten die Social-Media-Knöpfe auftauchen…

?>
<div class="comments">
  <?php if ( have_comments() ) : ?>
    <h4 id="comments"><?php comments_number( 'Keine Kommentare', 'Ein Kommentar', '% Kommentare' );?></h4>
    <ul class="commentlist">
      <?php wp_list_comments(); ?>
    </ul>
    <nav class="pagination">
      <div class="alignleft"><?php previous_comments_link() ?></div>
      <div class="alignright"><?php next_comments_link() ?></div>
    </nav>
  <?php endif; ?>
  <?php if ( comments_open() ) : ?>
    <?php comment_form(); ?>
  <?php else: ?>
    <p class="nocomments screen-reader-text"><?php _e( 'Es kann nicht kommentiert werden.', 'buena-theme' ); ?></p>
  <?php endif; ?>
</div>
